Undelete D1 Database
Restore a deleted D1 database. The database is restored with the name it had when it was deleted,
unless new_name is provided. The restored database counts against the account’s limits.
Undeleting a database that is not deleted succeeds without changes, unless new_name differs from its current name which errors.
Once a database is undeleted, Time Travel (point-in-time recovery) cannot restore it to a bookmark or timestamp at or before the undeletion. Only states after the undeletion can be restored.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Path Parameters
Body ParametersJSON
Undelete D1 Database
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/d1/database/$DATABASE_ID/undelete \
-X POST \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"created_at": "2022-11-15T18:25:44.442097Z",
"file_size": 12,
"jurisdiction": "eu",
"name": "my-database",
"num_tables": 12,
"read_replication": {
"mode": "auto"
},
"uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"version": "production"
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"created_at": "2022-11-15T18:25:44.442097Z",
"file_size": 12,
"jurisdiction": "eu",
"name": "my-database",
"num_tables": 12,
"read_replication": {
"mode": "auto"
},
"uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"version": "production"
},
"success": true
}